<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- ClearSync System Monitor User Auth Alerts -->
<alerts>
  <alert type="EXCLUDED" level="NORM" source="syslog" exclude="true">
    <locale lang="en">
      <text>Excluded PAM session</text>
      <pattern>pam_unix\(runuser:session\).*$</pattern>
    </locale>
  </alert>

  <alert type="EXCLUDED" level="NORM" source="syslog" exclude="true">
    <locale lang="en">
      <text>Excluded PAM session</text>
      <pattern>pam_unix\(su-l:session\):.*for user clearsync$</pattern>
    </locale>
  </alert>

  <alert type="EXCLUDED" level="NORM" source="syslog" exclude="true">
    <locale lang="en">
      <text>Excluded PAM session</text>
      <pattern>pam_unix.*rhost=[[:space:]]+</pattern>
    </locale>
  </alert>

  <alert type="EXCLUDED" level="NORM" source="syslog" exclude="true">
    <locale lang="en">
      <text>Excluded PAM session</text>
      <pattern>pam_unix\(sudo:session\): session opened for user root by \(uid\=0\)</pattern>
    </locale>
  </alert>

  <alert type="EXCLUDED" level="NORM" source="syslog" exclude="true">
    <locale lang="en">
      <text>Excluded PAM session</text>
      <pattern>pam_unix\(sudo:session\): session closed for user root</pattern>
    </locale>
  </alert>

  <alert type="EXCLUDED" level="NORM" source="syslog" exclude="true">
    <locale lang="en">
      <text>Excluded PAM session</text>
      <pattern>pam_unix\(su-l:session\):.*for user clearsync$</pattern>
    </locale>
  </alert>

  <alert type="USER_LOGIN" level="NORM" source="syslog">
    <locale lang="en">
      <text>User $user logged in via $service</text>
      <match index="1" name="service" />
      <match index="2" name="user" />
      <pattern>pam_unix\(([A-z_\.-]*):session\): session opened for user (.*) by.*$</pattern>
    </locale>
  </alert>

  <alert type="USER_LOGOUT" level="NORM" source="syslog">
    <locale lang="en">
      <text>User $user logged out via $service</text>
      <match index="1" name="service" />
      <match index="2" name="user" />
      <pattern>pam_unix\(([A-z_\.-]*):session\): session closed for user (.*$)</pattern>
    </locale>
  </alert>

  <alert type="USER_AUTH_FAIL" level="WARN" source="syslog">
    <locale lang="en">
      <text>Authentication failure for $user_src switching to $user_dst</text>
      <match index="1" name="user_src" />
      <match index="2" name="user_dst" />
      <pattern>pam_unix\(su[A-z_\.-]*:auth\): authentication failure;.*ruser=([A-z_\.-]*) .*user=([A-z_\.-]*)</pattern>
    </locale>
  </alert>

  <alert type="USER_AUTH_FAIL" level="WARN" source="syslog">
    <locale lang="en">
      <text>Authentication failure for $user via $service from $host</text>
      <match index="1" name="service" />
      <match index="2" name="host" />
      <match index="3" name="user" />
      <pattern>pam_unix\(([A-z_\.-]*):auth\): authentication failure;.*rhost=([A-z0-9\.:.-]*) .*user=(.*$)</pattern>
    </locale>
  </alert>

  <alert type="USER_AUTH_FAIL" level="WARN" source="syslog">
    <locale lang="en">
      <text>Authentication failure for $user via $service</text>
      <match index="1" name="service" />
      <match index="2" name="user" />
      <pattern>pam_unix\(([A-z_\.-]*):auth\): authentication failure;.*user=([A-z_\.-]*)</pattern>
    </locale>
  </alert>

<!--
  Nov 21 14:00:08 gw sshd[7607]: Invalid user tony from 192.168.242.14 port 55399
  Nov 21 14:00:12 gw sshd[7607]: Failed password for invalid user tony from 192.168.242.14 port 55399 ssh2
-->

  <alert type="USER_INVALID" level="WARN" source="syslog">
    <locale lang="en">
      <text>Failed login attempt for invalid user $user from $host ($proto)</text>
      <match index="1" name="user" />
      <match index="2" name="host" />
      <match index="3" name="proto" />
      <pattern>invalid user ([A-z_\.-]*) from ([A-z0-9\.:.-]*) port [0-9]+ (ssh[0-9]*)</pattern>
    </locale>
  </alert>

<!--
  gw (giroux.sokoloski.ca[192.168.242.80]) - USER jim: no such user found from giroux.sokoloski.ca [192.168.242.80] to ::ffff:192.168.242.1:21
-->
  <alert type="USER_INVALID" level="WARN" source="syslog">
    <locale lang="en">
      <text>Failed login attempt for invalid user $user via proftpd from $host</text>
      <match index="1" name="host" />
      <match index="2" name="user" />
      <pattern>\[([A-z0-9\.:.-]*)\]\) - USER (.*): no such user</pattern>
    </locale>
  </alert>

<!--
  gw (giroux.sokoloski.ca[192.168.242.80]) - SECURITY VIOLATION: Root login attempted
-->
  <alert type="USER_INVALID" level="WARN" source="syslog">
    <locale lang="en">
      <text>Administrator login attempt via proftpd from $host</text>
      <match index="1" name="host" />
      <pattern>\[([A-z0-9\.:.-]*)\]\) - SECURITY VIOLATION: Root.*</pattern>
    </locale>
  </alert>

<!--
  FAILED LOGIN 1 FROM tty2 FOR (unknown), User not known to the underlying authentication module
-->
  <alert type="USER_INVALID" level="WARN" source="syslog">
    <locale lang="en">
      <text>Failed console login attempt for unknown user on $tty</text>
      <match index="1" name="tty" />
      <pattern>FAILED LOGIN [0-9]+ FROM (tty[0-9]+).*User not known</pattern>
    </locale>
  </alert>
</alerts>
<!--
  vi: syntax=xml expandtab shiftwidth=2 softtabstop=2 tabstop=2
-->
